# $Revision: 1.13 $, $Date: 2008/04/08 08:24:53 $
Summary:	Utility for viewing/manipulating the MAC address of network interfaces
Summary(pl.UTF-8):	Narzędzie do oglądania/modyfikowania adresów MAC interfejsów sieciowych
Name:		macchanger
Version:	1.5.0
Release:	1
License:	GPL
Vendor:		Alvaro Lopez Ortega <alvaro@alobbs.com>
Group:		Applications/Networking
Source0:	http://ftp.gnu.org/gnu/macchanger/%{name}-%{version}.tar.gz
# Source0-md5:	79b7cdaeca3d8ebafa764c4b0dd03ab7
URL:		http://www.alobbs.com/modules.php?op=modload&name=macc&file=index
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
- Set specific MAC address of a network interface
- Set the MAC randomly
- Set a MAC of another vendor
- Set another MAC of the same vendor
- Set a MAC of the same kind (eg: wireless card)
- Display a vendor MAC list (today, 900 items) to choose from

%description -l pl.UTF-8
Możliwości programu:
- ustawianie adresu MAC interfejsu sieciowego,
- ustawianie adresu MAC losowo,
- ustawianie adresu MAC innego producenta,
- ustawianie innego adresu MAC tego samego producenta,
- ustawianie MAC-a tego samego typu (np. karta bezprzewodowa),
- wyświetlanie listy MAC-ów danego producenta, do wyboru.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/macchanger
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_infodir}/%{name}.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: macchanger.spec,v $
Revision 1.13  2008/04/08 08:24:53  glen
- unify ftp.gnu.org urls

Revision 1.12  2007-02-13 06:46:53  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.10  2004/11/04 20:42:33  qboosh
- cleanups

Revision 1.9  2004/11/04 20:39:56  jasw
- up to 1.5.0 version

Revision 1.8  2003/06/16 19:09:15  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.7  2003/05/28 12:59:38  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:50:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/02/21 14:01:49  qboosh
- removed INSTALL from doc (generic)

Revision 1.4  2003/01/02 18:55:18  areq
- 1.3.0

Revision 1.3  2002/12/06 20:54:37  qboosh
- pl cosmetics, added missing dir and BRs

Revision 1.2  2002/12/06 15:57:29  blues
- pl translation (please, check me)

Revision 1.1  2002/12/06 12:30:36  areq
- init PLD spec
